cURL
curl --request GET \ --url https://api.openmic.ai/h/v2/agents/{uid} \ --header 'Authorization: Bearer <token>'
{ "uid": "<string>", "name": "<string>", "prompt": "<string>", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "first_message": "<string>", "auto_first_message": true, "knowledge_base_id": 123, "voice_provider": "OpenAI", "voice": "<string>", "voice_model": "<string>", "voice_speed": 123, "llm_model_name": "<string>", "llm_model_temperature": 1, "llm_max_tokens": 123, "stt_provider": "Deepgram", "stt_model": "<string>", "auto_end_call": true, "call_settings": { "max_call_duration": 16, "silence_timeout": 25, "silence_timeout_max_retries": 3, "silence_timeout_message": "<string>", "call_recording_enabled": true, "voicemail_detection_enabled": true, "voicemail_action": "hangup", "voicemail_message_type": "prompt", "voicemail_message": "<string>", "voicemail_post_detection_delay": 15, "hipaa_compliance_enabled": true, "pci_compliance_enabled": true }, "advanced_settings": { "agent_personality": "casual", "humanize_conversation": true, "background_noise_reduction": true, "allow_interruptions": true, "min_interruption_duration": 2.6, "background_sound": "<string>", "agent_response_length": "normal", "short_pause": 1.1, "long_pause": 3.25, "filter_phrases": "<string>" }, "boosted_keywords": [ "<string>" ], "selected_jargons": [ "<string>" ], "post_call_settings": { "summary_prompt": "<string>", "success_evaluation_prompt": "<string>", "success_evaluation_rubric_type": "NUMERIC_SCALE", "structured_extraction_prompt": "<string>", "structured_extraction_json_schema": {} } }
Returns the full details of a single agent.
API key obtained from the OpenMic dashboard.
The agent UID.
Agent details.
Unique agent identifier (slug/UUID).
OpenAI
ElevenLabs
Deepgram
Cartesia
0 <= x <= 2
Show child attributes
30
Was this page helpful?